Install Ultrasn0w 1.2.5 to Unlock iPhone 4 and 3GS on iOS 5.0.1 (Old Basebands)

Hello there! If you are new here, you might want to subscribe to the RSS feed for updates on this topic!

iPhone 4 and 3GS users on jailbroken iOS 5.0.1 can now install ultrasn0w 1.2.5 to unlock their iPhones.


How to install ultrasn0w 1.2.5

Before you start, please remove the SIM card from your iPhone.

Step 1: Launch Cydia from the springboard.

Editor's note: learn more by reading our ebook on starting your own iPhone repair & unlock business

Step 2: Tap on Manage.

Step 3: Search for ultrasn0w on Packages in Cydia. If you cannot find it, add new Source by typing: ‘repo666.ultrasn0w.com‘ (…sn0w = the digit zero, not O)

Step 4: A new ultrasnow package will be installed. Once done, go to Packages and look for ultrasnow. Tap and install it. During installation, you will see a black screen with running command lines.

Step 5: Reboot your iPhone and insert your SIM card. Toggle the Airplane mode to ON and then OFF. Your iPhone will search and register to your mobile phone network.

Please be patient, sometimes it may take up to 3 minutes. If it doesn’t register, reboot your iPhone again.

This updated version of ultrasn0w doesn’t unlock newer basebands. It only supports the following:

  • 4.26.08
  • 5.11.07
  • 5.12.01
  • 5.13.04
  • 6.15.00 (iPad’s baseband implanted into iPhone)
  • 1.59.00 (iPhone 4)

If the jailbreak is tethered, do not forget to use redsn0w or iBooty to tether boot your iPhone. Otherwise you will be stuck on the Apple logo.

Install Ultrasn0w 1.2.5 to Unlock iPhone 4 and 3GS on iOS 5.0.1 (Old Basebands) was last modified: December 22nd, 2011 by Jonathan

Comments & Discussion

  1. Need help
    Need suggestion whether to upgrade to 6.15.00 from 5.16.05 .
    Current firmware is 5.0.1 jailbroken…
    Iphone built is 85144XXX…
    Please help me in this regard .
    Thanks !!

  2. Ok, this is my experience. I have iPhone 3GS with new bootrom and upgraded to 5.0.1. which also update my base band into 06.15.00. After upgrading my iPhone cannot read the SIM so I install ultrasn0w 1.2.5 from Cydia. It still cannot detect the SIM. So what I did is re-run the redsnow jail break selecting Install Cydia and Install iPad Base Band. This time the ultrasn0w 1.2.5 works perfectly. My iPhone is now in untethered Jailbreak with based band 06.15.00 Unlock. This link provide the tutorial. http://www.youtube.com/watch?feature=iv&src_v

  3. hi. iphone 3GS bb 06.15.00 jailbroken untethered with cydia, ran ultrasnow, won't register sim….do i need to run the ultrasnow patch?

    thankyou

  4. i still can't unlock my iphone 3gs with ios 5.0.1 and baseband is 06.15.00, i installed ultrasnow 1.2.5 and reboot the phone but doesn't work,the problem is after jailbreak to ios 5.0.1 and it locked my sim card and this sim card is work before i JB,HELP PLS THX

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.